/**
 * .jsx for Adobe apps. Marat Shagiev. Date: 03.12.2014, Time: 0:31
 */

//@target illustrator-18

var makeWaterMarks = function (){
  var d = activeDocument;
  pastePattern();
  var lay = applyPatt('WaterMark');
  expToJpg();
  lay.remove();

  function applyPatt(str) {
    doc = activeDocument;
    swIndex = 0;
    for (i = 0; i < doc.swatches.length; i++) {
      currSw = doc.swatches[i];
      swatchColor = currSw.color;
      if (currSw.color.typename == "PatternColor" && currSw.name == str) {
        swIndex = i;
      }
    }

    var waterLay = activeDocument.layers.add();
    waterLay.name = 'WaterLayer';
    waterLay.blendingMode = BlendModes.NORMAL;
    /*COLORBLEND LIGHTEN COLORBURN LUMINOSITY COLORDODGE MULTIPLY DARKEN NORMAL
     DIFFERENCE OVERLAY EXCLUSION SATURATIONBLEND HARDLIGHT SCREEN HUE SOFTLIGHT*/
    waterLay.opacity = 30;

    var w = activeDocument.width;
    var h = activeDocument.height;
    activeDocument.rulerOrigin = [0, h];

    firstPath = activeDocument.pathItems.rectangle(0, 0, w, h);
    firstPath.filled = true;
    firstPath.fillColor = doc.swatches[swIndex].color;

    return waterLay;
  }

  function pastePattern() {
    var f = new File(Folder.desktop + '/waterMarks/waterPattern.ai');
    var pDoc = open(f);
    pDoc.layers[0].hasSelectedArtwork = true;
    copy();
    pDoc.close(SaveOptions.DONOTSAVECHANGES);
    d.activate();
    var tmpLay = activeDocument.layers.add();
    paste();
    tmpLay.remove();
  }

  function expToJpg(destination) {
    destination = Folder.desktop + '/waterMarks/' + activeDocument.name + '.jpg';
    var exportOptions = new ExportOptionsJPEG();
    var type = ExportType.JPEG;
    var f = new File(destination);
    exportOptions.qualitySetting = 100;
    d.exportFile(f, type, exportOptions);
  }
}();
